/* crtcats.sql  */
/* Created by Laurence D. Finston (LDF) 2006.08.29.  */


/*

$Id: crtcats.sql,v 1.1 2006/10/24 07:48:35 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* 
LOG
LDF 2006.08.29.
Created this file ("crtcats.sql").

ENDLOG
*/


/* * (1) */

/* 

-- This can be used to check whether a fulltext catalog exists.
   Please note that this procedure will fail, if the catalogs don't
   already exist.  This can be avoided by putting the |drop| commands
   into conditional constructions, like the one below.  However, this 
   normally shouldn't be necessary.
   LDF 2006.08.29.

if exists
(select ftcatid from sysfulltextcatalogs
where name = 'Contributors_Catalog')
...

*/

/* * (1) */

-- exec create_catalogs

-- drop proc create_catalogs

-- alter
create 
proc create_catalogs
as
exec sp_fulltext_database enable

/* ** (2) |PICA_Categories|  */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'PICA_Categories', 'drop'
exec sp_fulltext_catalog 'PICA_Categories_Catalog', 'drop'

exec sp_fulltext_catalog 'PICA_Categories_Catalog', 'create'

exec sp_fulltext_table 'PICA_Categories', 'create', 
     'PICA_Categories_Catalog', 'PK_PICA_Categories'

exec sp_fulltext_column 'PICA_Categories', 'pica_plus_category_code', 'add'
exec sp_fulltext_column 'PICA_Categories', 'description_german', 'add'
exec sp_fulltext_column 'PICA_Categories', 'description_english', 'add'


exec sp_fulltext_table 'PICA_Categories','activate'

exec sp_fulltext_catalog 'PICA_Categories_Catalog', 'start_full'

/* ** (2) |PICA_Fields| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'PICA_Fields', 'drop'
exec sp_fulltext_catalog 'PICA_Fields_Catalog', 'drop'

exec sp_fulltext_catalog 'PICA_Fields_Catalog', 'create'

exec sp_fulltext_table 'PICA_Fields', 'create', 'PICA_Fields_Catalog', 'PK_PICA_Fields'

exec sp_fulltext_column 'PICA_Fields', 'pica_plus_field_code', 'add'
exec sp_fulltext_column 'PICA_Fields', 'pica_3_field_code', 'add'
exec sp_fulltext_column 'PICA_Fields', 'description_german', 'add'
exec sp_fulltext_column 'PICA_Fields', 'description_english', 'add'

exec sp_fulltext_table 'PICA_Fields','activate'

exec sp_fulltext_catalog 'PICA_Fields_Catalog', 'start_full'

/* ** (2) |Sources| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/


exec sp_fulltext_table 'Sources', 'drop'
exec sp_fulltext_catalog 'Sources_Catalog', 'drop'

exec sp_fulltext_catalog 'Sources_Catalog', 'create'

exec sp_fulltext_table 'Sources', 'create', 
     'Sources_Catalog', 'PK_Sources'

exec sp_fulltext_column 'Sources', 'source_name', 'add'
exec sp_fulltext_column 'Sources', 'source_abbrev', 'add'
exec sp_fulltext_column 'Sources', 'source_address', 'add'

exec sp_fulltext_table 'Sources','activate'

exec sp_fulltext_catalog 'Sources_Catalog', 'start_full'

/* ** (2) |Records|
          No fulltext catalog.
          LDF 2006.08.30.
*/


/* ** (2) |Publishers| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'Publishers', 'drop'
exec sp_fulltext_catalog 'Publishers_Catalog', 'drop'

exec sp_fulltext_catalog 'Publishers_Catalog', 'create'

exec sp_fulltext_table 'Publishers', 'create', 
     'Publishers_Catalog', 'PK_Publishers'

exec sp_fulltext_column 'Publishers', 'publisher_name', 'add'
exec sp_fulltext_column 'Publishers', 'place', 'add'

exec sp_fulltext_table 'Publishers','activate'

exec sp_fulltext_catalog 'Publishers_Catalog', 'start_full'

/* ** (2) |Database_Providers| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'Database_Providers', 'drop'
exec sp_fulltext_catalog 'Database_Providers_Catalog', 'drop'

exec sp_fulltext_catalog 'Database_Providers_Catalog', 'create'

exec sp_fulltext_table 'Database_Providers', 'create', 
     'Database_Providers_Catalog', 'PK_Database_Providers'

exec sp_fulltext_column 'Database_Providers', 'database_provider_name', 'add'
exec sp_fulltext_column 'Database_Providers', 'place', 'add'

exec sp_fulltext_table 'Database_Providers','activate'

exec sp_fulltext_catalog 'Database_Providers_Catalog', 'start_full'

/* ** (2) |Bibliographic_Types|
          No fulltext catalog.
          LDF 2006.08.30.
*/

/* ** (2) |Main_Titles| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'Main_Titles', 'drop'
exec sp_fulltext_catalog 'Main_Titles_Catalog', 'drop'

exec sp_fulltext_catalog 'Main_Titles_Catalog', 'create'

exec sp_fulltext_table 'Main_Titles', 'create', 
     'Main_Titles_Catalog', 'PK_Main_Titles'

exec sp_fulltext_column 'Main_Titles', 'standard_text', 'add'
exec sp_fulltext_column 'Main_Titles', 'main_canonical_title', 'add'
exec sp_fulltext_column 'Main_Titles', 'additions_main', 'add'
exec sp_fulltext_column 'Main_Titles', 'additional_creator_main', 'add'
exec sp_fulltext_column 'Main_Titles', 'parallel_canonical_title', 'add'
exec sp_fulltext_column 'Main_Titles', 'additions_parallel', 'add'
exec sp_fulltext_column 'Main_Titles', 'additional_creator_parallel', 'add'
exec sp_fulltext_column 'Main_Titles', 'authorship', 'add'                  

exec sp_fulltext_table 'Main_Titles','activate'

exec sp_fulltext_catalog 'Main_Titles_Catalog', 'start_full'

/* ** (2) |Authors| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'Authors', 'drop'
exec sp_fulltext_catalog 'Authors_Catalog', 'drop'

exec sp_fulltext_catalog 'Authors_Catalog', 'create'

exec sp_fulltext_table 'Authors', 'create', 
     'Authors_Catalog', 'PK_Authors'

exec sp_fulltext_column 'Authors', 'given_name', 'add'
exec sp_fulltext_column 'Authors', 'surname', 'add'

/* Fulltext search not enabled for |prefix| column.
   LDF 2006.08.30.  
*/

exec sp_fulltext_table 'Authors','activate'

exec sp_fulltext_catalog 'Authors_Catalog', 'start_full'

/* ** (2) |Contributors| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'Contributors', 'drop'
exec sp_fulltext_catalog 'Contributors_Catalog', 'drop'

exec sp_fulltext_catalog 'Contributors_Catalog', 'create'

exec sp_fulltext_table 'Contributors', 'create', 
     'Contributors_Catalog', 'PK_Contributors'

exec sp_fulltext_column 'Contributors', 'given_name', 'add'
exec sp_fulltext_column 'Contributors', 'surname', 'add'

/* Fulltext search not enabled for |prefix| column.
   LDF 2006.08.30.  
*/

exec sp_fulltext_table 'Contributors','activate'

exec sp_fulltext_catalog 'Contributors_Catalog', 'start_full'

/* ** (2) |Languages| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'Languages', 'drop'
exec sp_fulltext_catalog 'Languages_Catalog', 'drop'

exec sp_fulltext_catalog 'Languages_Catalog', 'create'

exec sp_fulltext_table 'Languages', 'create', 
     'Languages_Catalog', 'PK_Languages'

exec sp_fulltext_column 'Languages', 'language_name_english', 'add'
exec sp_fulltext_column 'Languages', 'language_name_german', 'add'

/* Fulltext search not enabled for |language_abbrev| column.
   LDF 2006.08.30.  
*/

exec sp_fulltext_table 'Languages','activate'

exec sp_fulltext_catalog 'Languages_Catalog', 'start_full'



/* ** (2) |Physical_Descriptions| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'Physical_Descriptions', 'drop'
exec sp_fulltext_catalog 'Physical_Descriptions_Catalog', 'drop'

exec sp_fulltext_catalog 'Physical_Descriptions_Catalog', 'create'

exec sp_fulltext_table 'Physical_Descriptions', 'create', 
     'Physical_Descriptions_Catalog', 'PK_Physical_Descriptions'

exec sp_fulltext_column 'Physical_Descriptions', 'text', 'add'

exec sp_fulltext_table 'Physical_Descriptions','activate'

exec sp_fulltext_catalog 'Physical_Descriptions_Catalog', 'start_full'

/* ** (2) |Remote_Access| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'Remote_Access', 'drop'
exec sp_fulltext_catalog 'Remote_Access_Catalog', 'drop'

exec sp_fulltext_catalog 'Remote_Access_Catalog', 'create'

exec sp_fulltext_table 'Remote_Access', 'create', 
     'Remote_Access_Catalog', 'PK_Remote_Access'

exec sp_fulltext_column 'Remote_Access', 'format_type', 'add'
exec sp_fulltext_column 'Remote_Access', 'web_display_text', 'add'
exec sp_fulltext_column 'Remote_Access', 'URL', 'add'
exec sp_fulltext_column 'Remote_Access', 'URN', 'add'
exec sp_fulltext_column 'Remote_Access', 'internal_remarks', 'add'

exec sp_fulltext_table 'Remote_Access','activate'

exec sp_fulltext_catalog 'Remote_Access_Catalog', 'start_full'

/* ** (2) |Exemplar_Production_Numbers|
          No fulltext catalog.
          LDF 2006.08.30.
*/

/* ** (2) |Call_Numbers|
          No fulltext catalog.
          LDF 2006.08.30.
*/

/* ** (2) |Access_Numbers|
          No fulltext catalog.
          LDF 2006.08.30.
*/

/* ** (2) |Subject_Types|
          No fulltext catalog.
          LDF 2006.08.30.
*/

/* ** (2) |Subjects| */

/* 
LOG

LDF 2006.08.30
Added this section.

END LOG

*/

exec sp_fulltext_table 'Subjects', 'drop'
exec sp_fulltext_catalog 'Subjects_Catalog', 'drop'

exec sp_fulltext_catalog 'Subjects_Catalog', 'create'

exec sp_fulltext_table 'Subjects', 'create', 
     'Subjects_Catalog', 'PK_Subjects'

exec sp_fulltext_column 'Subjects', 'subject', 'add'

exec sp_fulltext_table 'Subjects','activate'

exec sp_fulltext_catalog 'Subjects_Catalog', 'start_full'

/* ** (2) |Permutation_Patterns|
          No fulltext catalog.
          LDF 2006.08.30.
*/

/* ** (2) */

go


/* Local Variables: */
/* mode:Outline */
/* abbrev-mode:t */
/* outline-regexp:"/\\* [*\f]+" */
/* End: */
