/* disprecs.sql  */
/* Created by Laurence D. Finston (LDF) 2006.08.22.  */

/*

$Id: disprecs.sql,v 1.1 2006/10/24 07:56:50 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* * (1) */

/* 
LOG

LDF) 2006.08.22.
Created this file ("display_records.sql").

LDF 2006.10.24.
Renamed this file:
Old name:  "display_records.sql"
New name:  "disprecs.sql"

ENDLOG
*/

/* * (1) */

-- create
alter
proc display_records
as
-- select * from Records

declare record_cursor cursor for
select record_id from Records order by record_id

open record_cursor

declare @temp_record_id int


/* * (1) */

fetch next from record_cursor into @temp_record_id
while (@@fetch_status <> -1)
begin

if @temp_record_id <> 0
begin
select '@temp_record_id' = @temp_record_id

/* ** (2) Titles  */

delete Temp_IDs

insert Temp_IDs
select MT.main_title_id
from 
Main_Titles as MT, Records_Main_Titles as RMT
where
RMT.record_id = @temp_record_id
and
RMT.main_title_id = MT.main_title_id

-- select * from Temp_IDs

/* ** (2) Authors  */

-- select * from Authors 
-- select * from Records_Authors

delete Temp_IDs

insert Temp_IDs
select A.author_id
from 
Authors as A, Records_Authors as RA
where
RA.record_id = @temp_record_id
and
RA.author_id = A.author_id

-- select * from Temp_IDs

/* Contributors  */

-- select * from Contributors 
-- select * from Records_Contributors

delete Temp_IDs

insert Temp_IDs
select C.contributor_id
from 
Contributors as C, Records_Contributors as RC
where
RC.record_id = @temp_record_id
and
RC.contributor_id = C.Contributor_id

-- select * from Temp_IDs

/* ** (2) Subjects  */

-- select * from Subjects 
-- select * from Records_Subjects

delete Temp_IDs

insert Temp_IDs
select S.subject_id
from 
Subjects as S, Records_Subjects as RS
where
RS.record_id = @temp_record_id
and
RS.subject_id = S.Subject_id

-- select 'Subjects'
-- select * from Temp_IDs

/* ** (2)  Permutation_Patterns  */

-- select * from Permutation_Patterns

delete Temp_IDs
insert Temp_IDs
select PP.permutation_pattern_id
from Permutation_Patterns as PP
where PP.record_id = @temp_record_id

-- select 'Permutation_Patterns'
-- select  * from Temp_IDs

/* ** (2)  Publishers */

delete Temp_IDs

insert Temp_IDs
select P.publisher_id
from 
Publishers as P, Records_Publishers as RP
where
RP.record_id = @temp_record_id
and
RP.publisher_id = P.publisher_id

select 'Publishers'
select  * from Temp_IDs

/* ** (2)  Access Numbers */

-- select * from Access_Numbers

delete Temp_IDs
insert Temp_IDs
select AN.access_number_id
from Access_Numbers as AN
where 
AN.record_id = @temp_record_id

-- select 'Access_Numbers'
-- select * from Temp_IDs


/* ** (2) Bibliographic_Types  */

select * from Bibliographic_Types
select * from Records_Bibliographic_Types

/* START HERE.  LDF 2006.08.22  */


/* ** (2)   */

/* ** (2) Fetch next record. */

end  /* |if|  */

fetch next from record_cursor into @temp_record_id

end  /* |while|  */

close record_cursor
deallocate  record_cursor
go

/* * (1) */

exec display_records







