/* PICA_DB/fillcats.sql  */
/* Created by Laurence D. Finston (LDF) 2006.08.29.  */

/*

$Id: fillcats.sql,v 1.1 2006/10/24 07:59:20 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* * (1) */

/*
LOG

LDF 2006.08.29.
Created this file ("fillcats.sql").

END LOG
*/   

/* * (1) */

exec fill_catalogs

drop proc fill_catalogs

/* * (1)  */

/*
LOG

LDF 2006.08.30.
Added this stored procedure.

END LOG
*/ 

-- create 
alter
proc fill_catalogs
as
select 'Entering ''fill_catalogs'''
exec sp_fulltext_database enable

/* ** (2) |PICA_Categories|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'PICA_Categories', 'activate'
exec sp_fulltext_catalog 'PICA_Categories_Catalog', 'start_full'

/* ** (2) |PICA_Fields|
          LDF 2006.08.30.
*/


exec sp_fulltext_table 'PICA_Fields','activate'
exec sp_fulltext_catalog 'PICA_Fields_Catalog', 'start_full'


/* ** (2) |Sources|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Sources','activate'
exec sp_fulltext_catalog 'Sources_Catalog', 'start_full'

/* ** (2) |Publishers|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Publishers','activate'
exec sp_fulltext_catalog 'Publishers_Catalog', 'start_full'

/* ** (2) |Database_Providers|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Database_Providers','activate'
exec sp_fulltext_catalog 'Database_Providers_Catalog', 'start_full'


/* ** (2) |Main_Titles|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Main_Titles','activate'
exec sp_fulltext_catalog 'Main_Titles_Catalog', 'start_full'

/* ** (2) |Authors|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Authors','activate'
exec sp_fulltext_catalog 'Authors_Catalog', 'start_full'

/* ** (2) |Contributors|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Contributors','activate'
exec sp_fulltext_catalog 'Contributors_Catalog', 'start_full'

/* ** (2) |Languages|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Languages','activate'
exec sp_fulltext_catalog 'Languages_Catalog', 'start_full'

/* ** (2) |Physical_Descriptions|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Physical_Descriptions','activate'
exec sp_fulltext_catalog 'Physical_Descriptions_Catalog', 'start_full'


/* ** (2) |Remote_Access|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Remote_Access','activate'
exec sp_fulltext_catalog 'Remote_Access_Catalog', 'start_full'

/* ** (2) |Subjects|
          LDF 2006.08.30.
*/

exec sp_fulltext_table 'Subjects','activate'
exec sp_fulltext_catalog 'Subjects_Catalog', 'start_full'




/* ** (2) */

select 'Exiting ''fill_catalogs'''
go

-- exec fill_catalogues

/* Local Variables: */
/* mode:Outline */
/* abbrev-mode:t */
/* outline-regexp:"/\\* [*\f]+" */
/* End: */
