/* rgntbls.sql  */
/* Created by Laurence D. Finston (LDF) 2006.08.15.  */

/*

$Id: rgntbls.sql,v 1.1 2006/10/24 08:01:42 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* * (1) */

/* 
LOG

LDF 2006.08.15.
Created this file ("rgntbls.sql").

ENDLOG
*/

/* * (1) */

/* 
exec drop_tables
exec create_tables
exec regenerate_tables

select * from Bibliographic_Type_Codes

*/

-- (+ 1 (- ?x ?a))

--create
alter 
proc regenerate_tables
as

/* ** (2) Bibliographic_Type_Codes  */

/*
LOG

LDF 2006.09.05.
Added this section.

LDF 2006.09.06.
Finished this section.

END LOG
*/

/* *** (3) */

set identity_insert Bibliographic_Type_Codes on

insert Bibliographic_Type_Codes
(bibliographic_type_code_id)
values
(0)

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(1, 'A', 'Printed Work', 'Druckschrift')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(2, 'B', 
'Audiovisual Material (Audio and video recordings, including silent films;  Image Sequences with Sound)', 
'Audiovisuelles Material (Bildtontrger, auch Stummfilme; Tonbildreihen)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(3, 'C', 
'Braille Medium', 
'Blindenschrifttrger')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(4, 'D', 
'Letters', 
'Briefe')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(5, 'E', 
'Microform', 
'Microform')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(7, 'G', 
'Recording', 
'Tontrger')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(8, 'H', 
'Hand-written Material', 
'Handschriftliches Material')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(9, 'I', 
'Illustrated Material (e.g., transparencies, slides, reproductions of artwork, posters, postcards)', 
'Illustriertes Material (z. B. Arbeits-transparente, Dias, Kunstbltter, Plakate, Postkarten)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(11, 'K', 
'Cartographic Materials', 
'Kartenmaterial')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(13, 'M', 
'Sheet music and scores', 
'Noten')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(15, 'O', 
'Remote Electronic Resource', 
'Elektronische Ressource im Fernzugriff')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(19, 'S', 
'Electronic Resource on storage medium', 
'Elektronische Ressource auf Datentrger')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(22, 'V', 
'Object (e.g., games, sculptures, paintings)', 
'Objekt (z. B. Spiele, Skulpturen, Gemlde)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, physical_form_code, physical_form_material_name_english,
physical_form_material_name_german)
values
(26, 'Z', 
'Combination of Materials', 
'Materialkombination')

/* *** (3) */

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(101, 'a', 'Monograph (possibly, but not necessarily, individual volume from a series)', 
'Monographie (unabhngig ob Stck einer Reihe)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(102, 'b', 'Periodical/Newspaper', 'Zeitschrift/Zeitung')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(103, 'c', 
'Multi-volume work, containing a limited number of volumes (not a single volume belonging to a superordinate whole)', 
'Mehrbndiges begrenztes Werk (nicht Stck einer bergeordneten Gesamtheit)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(104, 'd', 'Series', 'Schriftenreihe')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(105, 'e', 'Section (not independent)', 'Abteilung (unselbststndig)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(205, 'E', 'Section (independent)', 'Abteilung (selbststndig)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(106, 'f', 'Part of a multi-volume work with a limited number of volumes, lacking a title of its own, or with a non-citable title', 
'Teil eines mehrbndigen begrenzten Werkes ohne bzw. mit nicht zitierfhigem Stcktitel')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(206, 'F', 'Part of a multi-volume work with a limited number of volumes with a citable title', 
'Teil eines mehrbndigen begrenzten Werkes mit zitierfhigem Stcktitel')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(108,
'h',
'Section (Periodicals and Series)',
'Abteilung (Zeitschriften und Reihen)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(110,
'j', 
'Contained/Appended Work',
'Enthaltenes/beigefgtes Werk')

/* **** (4) */

/* I don't understand what is meant by this one.
   LDF 2006.09.05.
*/

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(112,
'l',
'Multi-volume work, with a limited number of volumes, simultaneously a single volume of a limited multi-volume work',
'Begrenztes mehrbndiges Werk, zugleich Stck eines begrenzten mehrbndigen Werkes')

/* **** (4) */

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(115,
'o',
'Dependent work (OLC only)',
'Unselbststndiges Werk (nur OLC)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(118,
'r',
'Compilation (only for contained/appended works)',
'Sammlung/Sammelwerk (nur bei enthaltenen/beigefgten Werken)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(119,
's',
'Dependent work (article, review)',
'Unselbststndiges Werk (Aufsatz, Rezension)')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(122,
'v',
'Set of issues.  Applies to periodicals and similar series',
'Bandsatz bei Zeitschriften/zeitschriftenartigen Reihen')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, bibliographic_representation_code, bibliographic_representation_description_english,
bibliographic_representation_description_german)
values
(126,
'z',
'No classification',
'Keine Angabe')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(321,
'u',
'Autopsy',
'Autopsie')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(301,
'a',
'Acquisition Record',
'Erwerbungsdatensatz')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(322,
'v',
'Bibliographically complete',
'Bibliographisch vollstndig')


insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(303,
'c',
'CIP Entry',
'CIP-Aufnahme')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(311,
'k',
'Deletion status',
'Lsch-Status')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(314,
'n',
'Converted legacy data',
'Konvertierte Altdaten')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(318,
'r',
'Retrospective catalogue entry',
'Retrospektives Katalogisat')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(324,
'x',
'External datum',
'Fremddatum')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(325,
'y',
'Status with respect to temporariness or permanence',
'Vorlufigkeitsstatus')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(402,
'B',
'New record, entered off-line, probably dublette',
'Offline eingespieltes Novum, wahrscheinlich dublett')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(414,
'N',
'New record, temporarily entered as a hidden record',
'Zunchst verdeckt eingespieltes Novum')

insert Bibliographic_Type_Codes
(bibliographic_type_code_id, description_status_code, description_status_description_english,
description_status_description_german)
values
(424,
'X',
'Content or structure must be investigated',
'Inhalt oder Struktur ist zu berprfen')


set identity_insert Bibliographic_Type_Codes off

-- select * from Bibliographic_Type_Codes

/* ** (2) PICA_Categories  */

/*
LOG

LDF 2006.08.15.
Added this section.

END LOG
*/ 

-- select * from PICA_Categories

set identity_insert PICA_Categories on
insert PICA_Categories
(pica_category_id, pica_plus_category_code, pica_3_category_code, 
description_german, description_english)
values
(0, 'N/A', NULL, 'N/A', 'N/A')

set identity_insert PICA_Categories off

insert PICA_Categories
(pica_plus_category_code, pica_3_category_code, description_german, description_english)
values
('034D', 4060, 
'Umfangsangabe, spezifische Materialbenennung, techn. System',
'Size or Range, Specification of Material, Technical System')

/* ** (2) PICA_Fields  */

/*
LOG

LDF 2006.08.15.
Added this section.

END LOG
*/ 

set identity_insert PICA_Fields on
insert PICA_Fields
(pica_field_id, pica_plus_field_code, pica_3_field_code, 
description_german, description_english)
values
(0, 'N/A', 'N/A', 'N/A', 'N/A')

set identity_insert PICA_Fields off

insert PICA_Fields
(pica_plus_field_code, pica_3_field_code, description_german, description_english)
values
('a', 'N/A', 
'Text',
'Text')

/* ** (2) PICA_Categories_PICA_Fields  */

/*
LOG

LDF 2006.08.15.
Added this section.

END LOG
*/ 

declare @a int
declare @b int
set @a = (select pica_category_id from PICA_Categories where pica_3_category_code = 4060)
set @b = (select pica_field_id from PICA_Fields where pica_plus_field_code = 'a')

insert PICA_Categories_PICA_Fields
(pica_category_id, pica_field_id)
values
(@a, @b)

/* ** (2) Sources  */

set identity_insert Sources on
insert Sources
(source_id, source_name, source_abbrev, source_address)
values
(0, 'N/A', 'N/A', 'N/A')

insert Sources
(source_id, source_name, source_abbrev)
values
(1, 'Gemeinsamer Bibliotheksverbund', 'GBV')
set identity_insert Sources off





/* ** (2) Records  */

-- select * from Records

set identity_insert Records on
insert Records
(
record_id, identification_number, date_original_entry, source_id
)
values
(0, 'N/A', NULL, 0)

set identity_insert Records off

/* ** (2) Languages  */

insert Languages
(language_name_english, language_name_german, language_abbrev)
values
('Danish', 'Dnisch', 'dan')

insert Languages
(language_name_english, language_name_german, language_abbrev)
values
('English', 'Englisch', 'eng')

insert Languages
(language_name_english, language_name_german, language_abbrev)
values
('English', 'Englisch', 'en')

insert Languages
(language_name_english, language_name_german, language_abbrev)
values
('French', 'Franzsisch', 'fre')

insert Languages
(language_name_english, language_name_german, language_abbrev)
values
('German', 'Deutsch', 'ger')

insert Languages
(language_name_english, language_name_german, language_abbrev)
values
('Latin', 'Latein', 'lat')

insert Languages
(language_name_english, language_name_german, language_abbrev)
values
('Norwegian', 'Norwegisch', 'nor')


insert Languages
(language_name_english, language_name_german, language_abbrev)
values
('Spanish', 'Spanisch', 'spa')

/* ** (2) Physical_Descriptions  */

/* 
LOG

LDF 2006.08.15.
Added this section

END LOG
*/


set identity_insert Physical_Descriptions on
insert Physical_Descriptions
(physical_description_id, text, pica_category_id, pica_field_id)
values
(0, 'N/A', 0, 0)
set identity_insert Physical_Descriptions off

/* ** (2) Remote_Access  */

/* 
LOG

LDF 2006.08.16.
Added this section

END LOG
*/

set identity_insert Remote_Access on
insert Remote_Access
(remote_access_id, license_indicator, format_type, web_display_text,
 URL, URN, internal_remarks)
values
(0, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A')
set identity_insert Remote_Access off

/* ** (2) Exemplar_Production_Numbers  */

/* 
LOG

LDF 2006.08.17.
Added this section

END LOG
*/

set identity_insert Exemplar_Production_Numbers on
insert Exemplar_Production_Numbers
(exemplar_production_number_id, exemplar_production_number_numeric, 
exemplar_production_number_text, record_id)
values
(0, NULL, 'N/A', 0)
set identity_insert Exemplar_Production_Numbers off


/* ** (2) Call Numbers  */

/*
LOG

LDF 2006.08.17.
Added this section.

END LOG
*/



set identity_insert Call_Numbers on
insert Call_Numbers
(call_number_id, call_number, library_number, library_department, special_location)
values
(0, 'N/A', 0, 'N/A', 'N/A')
set identity_insert Call_Numbers off

/* ** (2) Access Numbers  */

/*
LOG

LDF 2006.08.18.
Added this section.

END LOG
*/

set identity_insert Access_Numbers on
insert Access_Numbers
(access_number_id, access_number, record_id)
values
(0, 'N/A', 0)
set identity_insert Access_Numbers off

/* ** (2) Subject_Types  */


-- delete Subject_Types

set identity_insert Subject_Types on
insert Subject_Types
(subject_type_id, indicator, description_german, description_english, pica3_800, pica3_51xx)
values
(0, NULL, 'N/A', 'N/A', 0, 0)

insert Subject_Types
(subject_type_id, indicator, description_german, description_english, pica3_800, pica3_51xx)
values
(1, 'p', 'Personenschlagwort', 'Personal Subject', 1, 1)

insert Subject_Types
(subject_type_id, indicator, description_german, description_english, pica3_800, pica3_51xx)
values
(2, 'g', 'Geografisches/ethnografisches Schlagwort', 'Geographical/Ethnographical Subject', 1, 1)

insert Subject_Types
(subject_type_id, indicator, description_german, description_english, pica3_800, pica3_51xx)
values
(3, 's', 'Sachschlagwort', 'Material Subject', 1, 1)

insert Subject_Types
(subject_type_id, indicator, description_german, description_english, pica3_800, pica3_51xx)
values
(4, 't', 'Titelschlagwort (800)/Werktitel (51xx)', 'Title Subject (800)/Work Title (51xx)', 1, 1)

insert Subject_Types
(subject_type_id, indicator, description_german, description_english, pica3_800, pica3_51xx)
values
(5, 'k', 'Krperschaftsschlagwort (Name)', 'Entity Subject (Name)', 1, 1)

/* If the field 'c' is filled in Pica3 800, then an entry for Pica3 801 
   must also be present.  
   LDF 2006.08.21.  
*/

insert Subject_Types
(subject_type_id, indicator, description_german, description_english, pica3_800, pica3_51xx)
values
(6, 'c', 'Krperschaftsschlagwort (Ort)', 'Entity Subject (Location)', 1, 1)


insert Subject_Types
(subject_type_id, indicator, description_german, description_english, pica3_800, pica3_51xx)
values
(7, 'z', 'Zeitschlagwort', 'Temporal Subject', 0, 1)

insert Subject_Types
(subject_type_id, indicator, description_german, description_english, pica3_800, pica3_51xx)
values
(8, 'f', 'Formschlagwort', 'Form Subject', 0, 1)

set identity_insert Subject_Types off

-- select * from Subject_Types -- order by indicator

/* ** (2) Subjects  */

set identity_insert Subjects on

insert Subjects
(subject_id, subject_type_id, subject, id_number_ppn, chain_number, chain_link_number, chain_info)
values
(0, 0, 'N/A', 0, NULL, NULL, 'N/A')

set identity_insert Subjects off

-- select * from Subjects

/* ** (2) Permutation_Patterns  */

set identity_insert Permutation_Patterns on

insert Permutation_Patterns
(permutation_pattern_id, record_id, subject_id_start, subject_id_end, chain_number, permutation_pattern)
values
(0, 0, 0, 0, 0, 'N/A')

set identity_insert Permutation_Patterns off

-- select * from Permutation_Patterns

/* ** (2) Content_Summaries  */

/*
LOG

LDF 2006.09.07.
Added this section.

END LOG
*/


set identity_insert Content_Summaries on

insert Content_Summaries
(content_summary_id, record_id, continuation, content_summary)
values
(0, 0, 0, 'N/A')

set identity_insert Content_Summaries off

/* ** (2) */



go



/* * (1) */

/* Local Variables: */
/* mode:Outline */
/* abbrev-mode:t */
/* End: */
